/*
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Klaus Pedersen <klaus.k.pedersen@nokia.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef ASM_ARCH_DVFS_H
#define ASM_ARCH_DVFS_H

enum dvfs_op_policy_change {
	DSP_DYNAMIC_TASK_CHANGED = 1,
	DSP_AUDIO_PATH_CHANGED   = 2,
	CAM_STREAMING_CHANGED    = 3,
};

#ifdef CONFIG_MACH_OMAP2420_DVFS
void dvfs_op_policy_update(enum dvfs_op_policy_change type, int data);
void dvfs_op_policy_update_delayed(enum dvfs_op_policy_change type, int data);
#else
static inline void dvfs_op_policy_update(
	enum dvfs_op_policy_change type, int data) {}

static inline void dvfs_op_policy_update_delayed(
	enum dvfs_op_policy_change type, int data) {}
#endif

#define cam_policy_update(streaming) \
	dvfs_op_policy_update_delayed(CAM_STREAMING_CHANGED, streaming)

#endif /* ASM_ARCH_DVFS_H */

